<?
require'../config.php';
$align='left';
$title='Жалобы,Прочее';
aut();
head();
levels(9);
who_add(0,'enter');

switch($mod){
default:

echo '&#187; <a href="spamer?mod=spam">Жалобы на спам</a><br/>-- - -<br/>';
echo '&#187; <a href="spamer?mod=oko">Всевидящее око</a><br/>';
break;

case 'spam':
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `spamus` WHERE `id` = '".check(intval($_GET['dell']))."'");
echo '<b>Жалоба успешно удалена!</b><br/>';
echo gb.'<a href="spamer">в меню</a>'.div;
echo gb.'<a href="index">админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
if (isset($_GET['dellete'])){
$db->sql_query("DELETE FROM `spamus` ");
echo '<b>Жалобы успешно удалены!</b><br/>';
echo gb.'<a href="spamer">в меню</a>'.div;
echo gb.'<a href="index">админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}

mysql_query("UPDATE `spamus` SET `read` = '1' WHERE `id_kont` = '$user[level]' AND `read` = '0'");

if (empty($user['max']))
$user['max']=10;
$max = $user['max'];
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '0' AND `id_kont` = '$user[level]'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if($k_post==0)
{
echo 'Жалоб нет<br/>';
}
$r=mysql_query("SELECT * FROM `spamus` WHERE `id_user` = '0' AND `id_kont` = '$user[level]' ORDER BY id DESC LIMIT $start, $max");
while($q = $db->sql_fetchrow($r))
{
echo '<u>Жалоба от</u>: '.bbcode($q['msg']).'<br/>[<a href="spamer?mod='.$mod.'&amp;dell='.$q['id'].'">Удалить жалобу</a>]<br/><hr/>';
}
$allsp = $db->sql_fetchfield($db->sql_query("select count(*) as num from spamus"),0);
if($allsp>0)echo '[<a href="spamer?mod='.$mod.'&amp;dellete&amp;"><b>Удалить все жалобы</b></a>]<br/>';
if ($k_page>1){
echo '<hr/>';
str('?',$k_page,$page);
}
break;

case 'oko':
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `oko` WHERE `id` = '".check(intval($_GET['dell']))."'");
echo '<b>Запись успешно удалена!</b><br/>';
echo gb.'<a href="spamer">в меню</a>'.div;
echo gb.'<a href="index">админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
if (isset($_GET['dellete'])){
$db->sql_query("DELETE FROM `oko` ");
echo '<b>Записи успешно удалены!</b><br/>';
echo gb.'<a href="spamer">в меню</a>'.div;
echo gb.'<a href="index">админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
$k_zap=$db->sql_fetchfield($db->sql_query("select count(*) as num from oko"),0);
if ($k_zap == 0) echo 'Записей нет<br/>'; 
else echo 'Записей в базе <b>'.$k_zap.'</b><br/>';
$allzp = $db->sql_fetchfield($db->sql_query("select count(*) as num from oko"),0);
if($allzp>0)echo '<a href="spamer?mod='.$mod.'&amp;dellete&amp;"><b>Удалить все записи</b></a><br/>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from oko "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("select * from oko order by id desc limit $start,$max");
while ($a = $db->sql_fetchrow($r))
{
echo links.''.nik($a['who_id']).' '.text($a['msg']).' юзера '.nik($a['user_id']).'   в ('.times($a['time']).') <a href="?mod='.$mod.'&amp;dell='.$a['id'].'"><b>Удалить запись</b></a>'.div.'<hr/>';
}
if ($k_page>1){
str('?mod='.$mod.'&amp;',$k_page,$page);
}
break;
}
echo gb.'<a href="index">Админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
?>